Subject: Re: Git is not scalable with too many refs/*

From: Andreas Ericsson <[email-masked]>
Date: Tue, 14 Jun 2011 02:17:58 +0200

On 06/10/2011 05:59 AM, NAKAMURA Takumi wrote:
> Good afternoon Git! Thank you guys to give me comments.
> 
> Jakub and Shawn,
> 
> Sure, Notes should be used at the case, I agree.
> 
>> (eg. git log --oneline --decorate shows me each svn revision)
> 
> My example might misunderstand you. I intended tags could show me
> pretty abbrev everywhere on Git. I would be happier if tags might be
> available bi-directional alias, as Stephen mentions.
> 
> It would be better git-svn could record metadata into notes, I think, too. :D
> 
> Stephen,
> 
> 2011/6/10 Stephen Bash<[email-masked]>:
>> I've seen two different workflows develop:
>>   1) Hacking on some code in Git the programmer finds something wrong.  Using Git tools he can pickaxe/bisect/etc. and find that the problem traces back to a commit imported from Subversion.
>>   2) The programmer finds something wrong, asks coworker, coworker says "see bug XYZ", bug XYZ says "Fixed in r20356".
>>
>> I agree notes is the right answer for (1), but for (2) you really want a cross reference table from Subversion rev number to Git commit.
> 

If you're using svn metadata in the commit text, you can always do
"git log -p --grep=@20356" to get the commits relevant to that one.
It's not as fast as "git show svn-20356", but it's not exactly
glacial either and would avoid the problems you're having now.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231

Considering the successes of the wars on alcohol, poverty, drugs and
terror, I think we should give some serious thought to declaring war
on peace.